Groovy Documentation

## org.codehaus.groovy.runtime.m12n
[Java] Class StandardPropertiesModuleFactory

    java.lang.Object
      org.codehaus.groovy.runtime.m12n.PropertiesModuleFactory
          org.codehaus.groovy.runtime.m12n.StandardPropertiesModuleFactory

    public class StandardPropertiesModuleFactory
    extends PropertiesModuleFactory

This is the standard Groovy module factory. This factory will build a module using the MetaInfExtensionModule by default, unless a key named "factory" is found in the properties file. If this is the case, then a new factory is instantiated and used instead of this factory.

Field Summary
`static java.lang.String` | `MODULE_FACTORY_KEY`

Fields inherited from class PropertiesModuleFactory
MODULE_NAME_KEY, MODULE_VERSION_KEY

Method Summary
`ExtensionModule` | `newModule(java.util.Properties properties, java.lang.ClassLoader classLoader)`

Methods inherited from class PropertiesModuleFactory
newModule

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### MODULE_FACTORY_KEY

    public static final java.lang.String MODULE_FACTORY_KEY

Method Detail

### newModule

    @Override
    @SuppressWarnings("unchecked")
    public ExtensionModule newModule(java.util.Properties properties, java.lang.ClassLoader classLoader)

Groovy Documentation